import schedule

from .config import REFETCH_PERIOD_H, STORE_NULL_BID
from .job import job
from .scheduler import run_continuously

schedule.every(REFETCH_PERIOD_H).hours.do(job)
stop_run_continuously = run_continuously()

print(
    f"Scheduled to run every {REFETCH_PERIOD_H} hour and "
    + ("" if STORE_NULL_BID else "not ")
    + "to store NULL building_id"
)

# First run
job()
